### -*-python-*-
###
### Remote service commands
###
### (c) 2013 Mark Wooding
###

###----- Licensing notice ---------------------------------------------------
###
### This file is part of Chopwood: a password-changing service.
###
### Chopwood is free software; you can redistribute it and/or modify
### it under the terms of the GNU Affero General Public License as
### published by the Free Software Foundation; either version 3 of the
### License, or (at your option) any later version.
###
### Chopwood is distributed in the hope that it will be useful,
### but WITHOUT ANY WARRANTY; without even the implied warranty of
### MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
### GNU Affero General Public License for more details.
###
### You should have received a copy of the GNU Affero General Public
### License along with Chopwood; if not, see
### <http://www.gnu.org/licenses/>.

import cmdutil as CU
import subcommand as SC
import util as U

@SC.subcommand(
  'set', ['remote'],
  'Set password for remote service',
  params = [SC.Arg('service'), SC.Arg('user')])
def cmd_set_svc(service, user):
  new = U.readline('new password')
  svc = CU.check_service(service)
  svc.setpasswd(user, new)

@SC.subcommand(
  'clear', ['remote'],
  'Clear password for remote service',
  params = [SC.Arg('service'), SC.Arg('user')])
def cmd_set_svc(service, user):
  svc = CU.check_service(service)
  svc.clearpasswd(user)

###----- That's all, folks --------------------------------------------------
